@echo off

rem ----------------------------------------------
rem SMOOTH 更新用バッチ
rem ----------------------------------------------

echo Smooth 賃貸管理システム　を最新版にアップデートします。

rem 変数定義
rem === インストールフォルダ ===
set INSTDIR=C:\HomeAsset\REMS

rem === 実行日 ===
set TXTDATE=%date:~0,4%/%date:~5,2%/%date:~8,2%

rem === 取得元　EXE/テンプレート/コンフィグ ===
set SOURCEDIR=%CD%\bin

rem === 配置先　EXE/テンプレート/コンフィグ ===
set EXEDIR=%INSTDIR%\bin

rem === ログファイル ===
set LOGFILE=%INSTDIR%\log\UPDATELOG-%date:~0,4%%date:~5,2%%date:~8,2%.log

rem === 取得処理実行部 ===
echo ====================================================  >> %LOGFILE%
echo 最新入替開始： %TXTDATE% %time%  >> %LOGFILE%
XCOPY %SOURCEDIR%   %EXEDIR%         /H /Y /R /C /S   >> %LOGFILE%
echo 最新入替完了： %TXTDATE% %time%  >> %LOGFILE%

echo Smooth アップデートが完了しました。
pause
